Bug 89791 - RFE: enable numlock by default
RFE: enable numlock by default
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
: 112666 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-28 11:13 EDT by Tom Vergote
Modified: 2007-04-18 12:53 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Vergote 2003-04-28 11:13:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
i think it would make sense to enable numlock by default, as most users want
this. it's only a minority who doesn't want their numlock on

being the pain it is to enable it, i think it would be nice if red hat enabled
it by default

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. not applicable
    

Additional info:
Comment 1 Brent Fox 2003-04-28 12:35:14 EDT
I may be mistaken here, but I believe that the kernel turns off num lock when it
is booting up.  At least, that's what appears to happen on my test machines. 
There may be a reason for this behavior but I don't know what it is.  I'm
changing component to the kernel.
Comment 2 Miloslav Trmac 2003-04-28 15:03:51 EDT
The kernel comments mention that on most laptops, alphanumeric keys
(around UIOJKLM,. or near) act as numbers when num lock is on).
No idea whether that is true though.
Comment 3 Arjan van de Ven 2003-04-30 13:54:34 EDT
personally I hate numlock on :)
now that in itself doesn't say much; however it seems there is no One True
Way(tm). Changing the default in such a case will just get a LOT of customers
upset :(

also in runlevel 5 I'm pretty sure it's X that decides the numlock status....
Comment 4 Richard Lloyd 2003-07-28 17:13:38 EDT
A user of ours asked for Num Lock to be defaulted to on in his X session (I
never use the numeric keypad myself, but each to his own...). Investigating this
found that a *lot* people out there are grumbling about this issue and it's
split into two contexts:

Console Numlock On (i.e. X isn't running):

This is done by running the "setleds" program in your startup sequence. The most
common fix out there is this one, which you add to /etc/rc.d/rc.local:

for t in /dev/tty[0-9]*
do
   setleds -D +num <$t >/dev/null
done

X NumLock on:

If you're running KDE, then there's this tip (I haven't confirmed this):

Go to Preferences+Peripherals->Keyboard and select the Turn on radio button in
NumLock on KDE startup under the Advanced tab.

For any non-KDE users in X, though, you're staggeringly actually out of luck -
there is *no* tool shipped with Red Hat to have your non-KDE X session start
with the Num Lock light on !! If nothing else, Red Hat should add this facility
to GNOME's config or, even better, ship with the "NumLockX" utility as
standard - see:

http://dforce.sh.cvut.cz/~seli/en/numlockx/

I built the numlockx binary in RH 8.0, copied it into /usr/X11R6/bin and then
put this in the file /etc/X11/xdm/Xsetup_0 (affects all users then):

if [ -x /usr/X11R6/bin/numlockx ]
then
   # Turn on Num Lock key
   /usr/X11R6/bin/numlockx on
fi

If you want to be a bit less draconian, individual users can put it in their
~./.xinitrc I believe...

Anyway, this is missing functionality from Red Hat releases, IMHO. At the very
least, GNOME users should get the equivalent to their KDE compatriots (e.g. a
Num Lock setting available in the gnome-keyboard-properties utility, so users
can actually have the choice of Num Lock on or off whilst in GNOME).
Comment 5 Felix Miata 2003-08-25 02:56:29 EDT
That any PC OS turns off NUM when the BIOS is set to ON is truly bizarre. At
least Mandrake compensates by including package numlock installed and enabled by
default. That anyone, including laptop users, complains that they want NUM off
on their machine is silly, as all they should need do is set their BIOS to NUM =
off. The OS should obey the BIOS setting, whichever it is. I wish keyboards
could be had hardwired to NUM = ON. :-(
Comment 6 Michael Lee Yohe 2003-08-26 17:42:11 EDT
I don't know if it should be enabled by default, but having the ability to
configure the desktop environment (Gnome 2 or KDE 3) to turn on Numlock upon
login would be priceless.
Comment 7 Brent Fox 2004-01-14 10:14:53 EST
*** Bug 112666 has been marked as a duplicate of this bug. ***
Comment 8 Felix Miata 2004-01-14 13:36:41 EST
For those who want it on, it should already be on by the time any
login prompt appears, terminal or X login. That's why the setting
should default to whatever the BIOS is set to, since that is
presumably set to the user's preference, and would eliminate any
argument about problems for either laptop users lacking separate NUM
pads, or user who simply prefer two separate sets of cursor keys to
the exclusion of TENKEY pads for fast numeric data entry.
Comment 9 Alexandre Strube 2004-01-15 19:56:47 EST
There's no way to bother with numlock at all. Just DON'T set anything,
letting it the way it was on boot. Why bother?
Comment 10 Miloslav Trmac 2004-01-15 20:10:07 EST
Because you can't ask the hardware "what LEDs are on" and simply
setting a value is easier than getting the current state from BIOS
(which might be not possible at all on non-x86 architectures)
Comment 11 Felix Miata 2004-01-15 23:34:28 EST
Windoze 95 & 98, like MS & PC DOS, since the 1984 IBM PC AT was
introduced, have managed to boot into the NUM state set in the BIOS,
so it can't be very difficult to do the same in another OS. If you
watch a PC keyboard during the boot of any OS other than 95/98 or DOS,
you can see the system initialization turn NUM off if it was on.
RedHat/Fedora (or any other Linux x86 kernel) shouldn't do that.
Comment 12 Bugzilla owner 2004-09-30 11:40:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.